package cn.com.qmth.stmms.common.enums;

public enum CheckType {

    MANUAL("手动更新", 1);

    private String name;

    private int value;

    private CheckType(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static CheckType findByValue(int value) {
        CheckType type = null;
        for (CheckType s : CheckType.values()) {
            if (s.getValue() == value) {
                type = s;
                break;
            }
        }
        return type;
    }
}
